[**@notabene/javascript-sdk**](../../README.md) • **Docs**

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / ProofStatus

# Enumeration: ProofStatus

Status of the ownership proof verification process

## Remarks

Represents the different states that an ownership proof can be in during and after verification:
- PENDING: Initial state where verification is in progress or awaiting processing
- FAILED: The proof was rejected due to failing verification checks
- FLAGGED: The proof requires manual review due to suspicious or unclear verification results
- VERIFIED: The proof has passed all verification checks successfully

## Enumeration Members

### FAILED

> **FAILED**: `"rejected"`

#### Defined in

[types.ts:954](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/f75feb1dd5dd91003bcc9aa8429d05c94c878b06/src/types.ts#L954)

***

### FLAGGED

> **FLAGGED**: `"flagged"`

#### Defined in

[types.ts:955](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/f75feb1dd5dd91003bcc9aa8429d05c94c878b06/src/types.ts#L955)

***

### PENDING

> **PENDING**: `"pending"`

#### Defined in

[types.ts:953](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/f75feb1dd5dd91003bcc9aa8429d05c94c878b06/src/types.ts#L953)

***

### VERIFIED

> **VERIFIED**: `"verified"`

#### Defined in

[types.ts:956](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/f75feb1dd5dd91003bcc9aa8429d05c94c878b06/src/types.ts#L956)
